using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class AppMenu
	{

		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
        /// <summary>
        /// HotelID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }
        /// <summary>
        /// 类型：0app，1微信
        /// </summary>
        public virtual int Type
        {
            get;
            set;
        }
        /// <summary>
        /// 代码
        /// </summary>
        public virtual string Code
        {
            get;
            set;
        }
		/// <summary>
		/// 菜单名称
		/// </summary>
		public virtual string Name
		{
			get;
			set;
		}
        /// <summary>
		/// 英文名称
		/// </summary>
        public virtual string EnglishName
		{
			get;
			set;
		}
		/// <summary>
		/// Icon
		/// </summary>
		public virtual string Icon
		{
			get;
			set;
		}
        /// <summary>
        /// Url
        /// </summary>
        public virtual string Url
        {
            get;
            set;
        }
        /// <summary>
        /// 样式
        /// </summary>
        public virtual string Class
        {
            get;
            set;
        }
		/// <summary>
		/// 排序
		/// </summary>
		public virtual int Sort
		{
			get;
			set;
		}
		/// <summary>
		/// 启用
		/// </summary>
		public virtual bool ActiveIndicator
		{
			get;
			set;
		}
        /// <summary>
        /// 宽度
        /// </summary>
        public virtual int Width
        {
            get;
            set;
        }
	}
}
